cabal-install-3.12.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Distribution.Client.Signal

Synopsis

- installTerminationHandler :: IO ()
- data Terminated = Terminated

# Documentation

installTerminationHandler :: IO () #

Install a signal handler that initiates a controlled shutdown on receiving SIGTERM by throwing an asynchronous exception at the main thread. Must be called from the main thread.

It is a noop on Windows.

data Terminated #

Terminated is an asynchronous exception, thrown when SIGTERM is received. It's to `kill` what `UserInterrupt` is to Ctrl-C.

Constructors

Terminated |

#### Instances

Instances details

Exception Terminated # |
Instance details Defined in Distribution.Client.Signal Methods toException :: Terminated -> SomeException # fromException :: SomeException -> Maybe Terminated # displayException :: Terminated -> String # backtraceDesired :: Terminated -> Bool #
Show Terminated # |
Instance details Defined in Distribution.Client.Signal Methods showsPrec :: Int -> Terminated -> ShowS # show :: Terminated -> String # showList :: [Terminated] -> ShowS #